curl --request POST \
--url https://{region}.affinda.com/v3/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-file \
--form url=https://api.affinda.com/static/sample_resumes/example.docx \
--form collection=mEFayXdO \
--form 'documentType=<string>' \
--form workspace=mEFayXdO \
--form wait=true \
--form 'identifier=<string>' \
--form 'customIdentifier=<string>' \
--form fileName=Document.pdf \
--form expiryTime=2023-11-07T05:31:56Z \
--form language=en \
--form rejectDuplicates=true \
--form 'regionBias={"country": "vn"}' \
--form lowPriority=true \
--form compact=true \
--form deleteAfterParse=true \
--form enableValidationTool=true \
--form useOcr=true \
--form 'llmHint=<string>' \
--form 'limitToExamples=<string>' \
--form 'warningMessages={
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}'import requests
url = "https://{region}.affinda.com/v3/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"url": "https://api.affinda.com/static/sample_resumes/example.docx",
"collection": "mEFayXdO",
"documentType": "<string>",
"workspace": "mEFayXdO",
"wait": "true",
"identifier": "<string>",
"customIdentifier": "<string>",
"fileName": "Document.pdf",
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"rejectDuplicates": "true",
"regionBias": "{\"country\": \"vn\"}",
"lowPriority": "true",
"compact": "true",
"deleteAfterParse": "true",
"enableValidationTool": "true",
"useOcr": "true",
"llmHint": "<string>",
"limitToExamples": "<string>",
"warningMessages": "{
\"warningCode\": \"too_many_pages\",
\"warningDetail\": \"File exceeds maximum number of pages allowed, parsing the first 10 pages only.\"
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('url', 'https://api.affinda.com/static/sample_resumes/example.docx');
form.append('collection', 'mEFayXdO');
form.append('documentType', '<string>');
form.append('workspace', 'mEFayXdO');
form.append('wait', 'true');
form.append('identifier', '<string>');
form.append('customIdentifier', '<string>');
form.append('fileName', 'Document.pdf');
form.append('expiryTime', '2023-11-07T05:31:56Z');
form.append('language', 'en');
form.append('rejectDuplicates', 'true');
form.append('regionBias', '{"country": "vn"}');
form.append('lowPriority', 'true');
form.append('compact', 'true');
form.append('deleteAfterParse', 'true');
form.append('enableValidationTool', 'true');
form.append('useOcr', 'true');
form.append('llmHint', '<string>');
form.append('limitToExamples', '<string>');
form.append('warningMessages', '{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://{region}.affinda.com/v3/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"extractor": "<string>",
"meta": {
"identifier": "<string>",
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>"
},
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
},
"childDocuments": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
}
],
"isOcrd": true,
"ocrConfidence": 123,
"reviewUrl": "<string>",
"documentType": "<string>",
"collection": {
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"baseExtractor": "<string>",
"validatable": true
},
"validationRules": [
{
"slug": "supplier_name_is_alphanumeric",
"dataPoints": [
"<string>"
]
}
],
"autoRefreshValidationResults": true
},
"archivedDt": "2023-11-07T05:31:56Z",
"isArchived": true,
"skipParse": true,
"confirmedDt": "2023-11-07T05:31:56Z",
"confirmedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isConfirmed": true,
"rejectedDt": "2023-11-07T05:31:56Z",
"rejectedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"archivedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isRejected": true,
"createdDt": "2023-11-07T05:31:56Z",
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document",
"file": "<string>",
"html": "<string>",
"llmHint": "<string>",
"tags": [
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
],
"createdBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"sourceEmail": "<string>",
"sourceEmailAddress": "<string>",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
}
},
"data": {},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
},
"warnings": [
{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}
]
}{
"extractor": "<string>",
"meta": {
"identifier": "<string>",
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>"
},
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
},
"childDocuments": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
}
],
"isOcrd": true,
"ocrConfidence": 123,
"reviewUrl": "<string>",
"documentType": "<string>",
"collection": {
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"baseExtractor": "<string>",
"validatable": true
},
"validationRules": [
{
"slug": "supplier_name_is_alphanumeric",
"dataPoints": [
"<string>"
]
}
],
"autoRefreshValidationResults": true
},
"archivedDt": "2023-11-07T05:31:56Z",
"isArchived": true,
"skipParse": true,
"confirmedDt": "2023-11-07T05:31:56Z",
"confirmedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isConfirmed": true,
"rejectedDt": "2023-11-07T05:31:56Z",
"rejectedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"archivedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isRejected": true,
"createdDt": "2023-11-07T05:31:56Z",
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document",
"file": "<string>",
"html": "<string>",
"llmHint": "<string>",
"tags": [
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
],
"createdBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"sourceEmail": "<string>",
"sourceEmailAddress": "<string>",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
}
},
"data": {},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
},
"warnings": [
{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Upload a document for parsing
Uploads a document for parsing via file upload or URL.
When successful, returns an identifier in the response for subsequent use with the /documents/ endpoint to check processing status and retrieve results.
curl --request POST \
--url https://{region}.affinda.com/v3/documents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-file \
--form url=https://api.affinda.com/static/sample_resumes/example.docx \
--form collection=mEFayXdO \
--form 'documentType=<string>' \
--form workspace=mEFayXdO \
--form wait=true \
--form 'identifier=<string>' \
--form 'customIdentifier=<string>' \
--form fileName=Document.pdf \
--form expiryTime=2023-11-07T05:31:56Z \
--form language=en \
--form rejectDuplicates=true \
--form 'regionBias={"country": "vn"}' \
--form lowPriority=true \
--form compact=true \
--form deleteAfterParse=true \
--form enableValidationTool=true \
--form useOcr=true \
--form 'llmHint=<string>' \
--form 'limitToExamples=<string>' \
--form 'warningMessages={
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}'import requests
url = "https://{region}.affinda.com/v3/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"url": "https://api.affinda.com/static/sample_resumes/example.docx",
"collection": "mEFayXdO",
"documentType": "<string>",
"workspace": "mEFayXdO",
"wait": "true",
"identifier": "<string>",
"customIdentifier": "<string>",
"fileName": "Document.pdf",
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"rejectDuplicates": "true",
"regionBias": "{\"country\": \"vn\"}",
"lowPriority": "true",
"compact": "true",
"deleteAfterParse": "true",
"enableValidationTool": "true",
"useOcr": "true",
"llmHint": "<string>",
"limitToExamples": "<string>",
"warningMessages": "{
\"warningCode\": \"too_many_pages\",
\"warningDetail\": \"File exceeds maximum number of pages allowed, parsing the first 10 pages only.\"
}"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('url', 'https://api.affinda.com/static/sample_resumes/example.docx');
form.append('collection', 'mEFayXdO');
form.append('documentType', '<string>');
form.append('workspace', 'mEFayXdO');
form.append('wait', 'true');
form.append('identifier', '<string>');
form.append('customIdentifier', '<string>');
form.append('fileName', 'Document.pdf');
form.append('expiryTime', '2023-11-07T05:31:56Z');
form.append('language', 'en');
form.append('rejectDuplicates', 'true');
form.append('regionBias', '{"country": "vn"}');
form.append('lowPriority', 'true');
form.append('compact', 'true');
form.append('deleteAfterParse', 'true');
form.append('enableValidationTool', 'true');
form.append('useOcr', 'true');
form.append('llmHint', '<string>');
form.append('limitToExamples', '<string>');
form.append('warningMessages', '{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://{region}.affinda.com/v3/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"extractor": "<string>",
"meta": {
"identifier": "<string>",
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>"
},
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
},
"childDocuments": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
}
],
"isOcrd": true,
"ocrConfidence": 123,
"reviewUrl": "<string>",
"documentType": "<string>",
"collection": {
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"baseExtractor": "<string>",
"validatable": true
},
"validationRules": [
{
"slug": "supplier_name_is_alphanumeric",
"dataPoints": [
"<string>"
]
}
],
"autoRefreshValidationResults": true
},
"archivedDt": "2023-11-07T05:31:56Z",
"isArchived": true,
"skipParse": true,
"confirmedDt": "2023-11-07T05:31:56Z",
"confirmedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isConfirmed": true,
"rejectedDt": "2023-11-07T05:31:56Z",
"rejectedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"archivedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isRejected": true,
"createdDt": "2023-11-07T05:31:56Z",
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document",
"file": "<string>",
"html": "<string>",
"llmHint": "<string>",
"tags": [
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
],
"createdBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"sourceEmail": "<string>",
"sourceEmailAddress": "<string>",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
}
},
"data": {},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
},
"warnings": [
{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}
]
}{
"extractor": "<string>",
"meta": {
"identifier": "<string>",
"pages": [
{
"id": 2,
"pageIndex": 0,
"image": "https://affinda-api.s3.amazonaws.com/media/pages/Page.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"height": 700,
"width": 500,
"rotation": 90,
"imageTranslated": "https://affinda-api.s3.amazonaws.com/media/pages/PageTranslated.png?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062"
}
],
"workspace": {
"identifier": "mEFayXdO",
"name": "<string>"
},
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834",
"fileName": "Document.pdf",
"ready": true,
"readyDt": "2020-12-10T01:43:32.276724Z",
"failed": false,
"expiryTime": "2023-11-07T05:31:56Z",
"language": "en",
"pdf": "https://affinda-api.s3.amazonaws.com/media/documents/Document.pdf?AWSAccessKeyId=KEY&Signature=SIG&Expires=1663302062",
"parentDocument": {
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
},
"childDocuments": [
{
"identifier": "<string>",
"customIdentifier": "46ab8b02-0e5b-420c-877c-8b678d46a834"
}
],
"isOcrd": true,
"ocrConfidence": 123,
"reviewUrl": "<string>",
"documentType": "<string>",
"collection": {
"identifier": "mEFayXdO",
"name": "<string>",
"extractor": {
"identifier": "resume",
"name": "<string>",
"baseExtractor": "<string>",
"validatable": true
},
"validationRules": [
{
"slug": "supplier_name_is_alphanumeric",
"dataPoints": [
"<string>"
]
}
],
"autoRefreshValidationResults": true
},
"archivedDt": "2023-11-07T05:31:56Z",
"isArchived": true,
"skipParse": true,
"confirmedDt": "2023-11-07T05:31:56Z",
"confirmedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isConfirmed": true,
"rejectedDt": "2023-11-07T05:31:56Z",
"rejectedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"archivedBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"isRejected": true,
"createdDt": "2023-11-07T05:31:56Z",
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document",
"file": "<string>",
"html": "<string>",
"llmHint": "<string>",
"tags": [
{
"id": 1,
"name": "<string>",
"workspace": "mEFayXdO",
"documentCount": 1
}
],
"createdBy": {
"id": 1,
"name": "Carl Johnson",
"username": "carljohnson",
"email": "carljohnson@grove.street",
"avatar": "https://affinda-api.s3.amazonaws.com/media/user-avatar.png?AWSAccessKeyId=KEY&Signature=SIG"
},
"sourceEmail": "<string>",
"sourceEmailAddress": "<string>",
"regionBias": {
"country": "<string>",
"countries": [
"<string>"
],
"squareCoordinates": [
123
],
"strict": true
}
},
"data": {},
"error": {
"errorCode": "document_conversion_failed",
"errorDetail": "Unable to convert word document"
},
"warnings": [
{
"warningCode": "too_many_pages",
"warningDetail": "File exceeds maximum number of pages allowed, parsing the first 10 pages only."
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Query Parameters
Body
Document to upload, either via file upload or URL to a file
If true, the document will be treated like an image, and the text will be extracted using OCR. If false, the document will be treated like a PDF, and the text will be extracted using the parser. If not set, we will determine whether to use OCR based on whether words are found in the document.

